Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::RTORB Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::RTORB:

[legend]
Collaboration diagram for RTCORBA::RTORB:

[legend]
List of all members.

## Public Types
typedef RTORB_ptr | _ptr_type
typedef RTORB_var | _var_type
## Public Methods
virtual::RTCORBA::Mutex_ptr | create_mutex (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | destroy_mutex (RTCORBA::Mutex_ptr the_mutex ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::Mutex_ptr | create_named_mutex (const char *name, CORBA::Boolean_out created_flag ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::Mutex_ptr | open_named_mutex (const char *name ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , RTCORBA::RTORB::MutexNotFound )
virtual::RTCORBA::TCPProtocolProperties_ptr | create_tcp_protocol_properties (CORBA::Long send_buffer_size, CORBA::Long recv_buffer_size, CORBA::Boolean keep_alive, CORBA::Boolean dont_route, CORBA::Boolean no_delay, CORBA::Boolean enable_network_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual RTCORBA::ThreadpoolId | create_threadpool (CORBA::ULong stacksize, CORBA::ULong static_threads, CORBA::ULong dynamic_threads, RTCORBA::Priority default_priority, CORBA::Boolean allow_request_buffering, CORBA::ULong max_buffered_requests, CORBA::ULong max_request_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual RTCORBA::ThreadpoolId | create_threadpool_with_lanes (CORBA::ULong stacksize, const RTCORBA::ThreadpoolLanes &lanes, CORBA::Boolean allow_borrowing, CORBA::Boolean allow_request_buffering, CORBA::ULong max_buffered_requests, CORBA::ULong max_request_buffer_size ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | destroy_threadpool (RTCORBA::ThreadpoolId threadpool ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , RTCORBA::RTORB::InvalidThreadpool )
virtual::RTCORBA::PriorityModelPolicy_ptr | create_priority_model_policy (RTCORBA::PriorityModel priority_model, RTCORBA::Priority server_priority ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::ThreadpoolPolicy_ptr | create_threadpool_policy (RTCORBA::ThreadpoolId threadpool ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::PriorityBandedConnectionPolicy_ptr | create_priority_banded_connection_policy (const RTCORBA::PriorityBands &priority_bands ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::ServerProtocolPolicy_ptr | create_server_protocol_policy (const RTCORBA::ProtocolList &protocols ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::ClientProtocolPolicy_ptr | create_client_protocol_policy (const RTCORBA::ProtocolList &protocols ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::RTCORBA::PrivateConnectionPolicy_ptr | create_private_connection_policy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | _is_a (const char *type_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Methods
RTORB_ptr | _duplicate (RTORB_ptr obj)
RTORB_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
RTORB_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Public Attributes
static::CORBA::TypeCode_ptr | _tc_MutexNotFound
static::CORBA::TypeCode_ptr | _tc_InvalidThreadpool
## Protected Methods
| RTORB (void)
virtual | ~RTORB (void)
## Private Methods
| RTORB (const RTORB &)
void | operator= (const RTORB &)

## Member Typedef Documentation

typedef RTORB_ptr RTCORBA::RTORB::_ptr_type

| Reimplemented from CORBA::Object.

typedef RTORB_var RTCORBA::RTORB::_var_type

| Reimplemented from CORBA::Object.

## Constructor & Destructor Documentation

RTCORBA::RTORB::RTORB | ( | void |  | ) | `[protected]`

RTCORBA::RTORB::~RTORB | ( | void |  | ) | `[protected, virtual]`

RTCORBA::RTORB::RTORB | ( | const RTORB & |  | ) | `[private]`

## Member Function Documentation

RTCORBA::RTORB_ptr RTCORBA::RTORB::_duplicate | ( | RTORB_ptr | obj | ) | `[static]`

const char * RTCORBA::RTORB::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Object.

virtual CORBA::Boolean RTCORBA::RTORB::_is_a | ( | const char *type_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

RTORB_ptr RTCORBA::RTORB::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from CORBA::Object.

RTORB_ptr RTCORBA::RTORB::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from CORBA::Object.

void RTCORBA::RTORB::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Reimplemented from CORBA::Object.

virtual ::RTCORBA::ClientProtocolPolicy_ptr RTCORBA::RTORB::create_client_protocol_policy | ( | const RTCORBA::ProtocolList &protocols | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::Mutex_ptr RTCORBA::RTORB::create_mutex | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::Mutex_ptr RTCORBA::RTORB::create_named_mutex | ( | const char * | name,
|  | CORBA::Boolean_out created_flag | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::PriorityBandedConnectionPolicy_ptr RTCORBA::RTORB::create_priority_banded_connection_policy | ( | const RTCORBA::PriorityBands &priority_bands | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::PriorityModelPolicy_ptr RTCORBA::RTORB::create_priority_model_policy | ( | RTCORBA::PriorityModel | priority_model,
|  | RTCORBA::Priority server_priority | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::PrivateConnectionPolicy_ptr RTCORBA::RTORB::create_private_connection_policy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::ServerProtocolPolicy_ptr RTCORBA::RTORB::create_server_protocol_policy | ( | const RTCORBA::ProtocolList &protocols | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::TCPProtocolProperties_ptr RTCORBA::RTORB::create_tcp_protocol_properties | ( | CORBA::Long | send_buffer_size,
|  | CORBA::Long | recv_buffer_size,
|  | CORBA::Boolean | keep_alive,
|  | CORBA::Boolean | dont_route,
|  | CORBA::Boolean | no_delay,
|  | CORBA::Boolean enable_network_priority | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual RTCORBA::ThreadpoolId RTCORBA::RTORB::create_threadpool | ( | CORBA::ULong | stacksize,
|  | CORBA::ULong | static_threads,
|  | CORBA::ULong | dynamic_threads,
|  | RTCORBA::Priority | default_priority,
|  | CORBA::Boolean | allow_request_buffering,
|  | CORBA::ULong | max_buffered_requests,
|  | CORBA::ULong max_request_buffer_size | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual ::RTCORBA::ThreadpoolPolicy_ptr RTCORBA::RTORB::create_threadpool_policy | ( | RTCORBA::ThreadpoolId threadpool | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual RTCORBA::ThreadpoolId RTCORBA::RTORB::create_threadpool_with_lanes | ( | CORBA::ULong | stacksize,
|  | const RTCORBA::ThreadpoolLanes & | lanes,
|  | CORBA::Boolean | allow_borrowing,
|  | CORBA::Boolean | allow_request_buffering,
|  | CORBA::ULong | max_buffered_requests,
|  | CORBA::ULong max_request_buffer_size | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual void RTCORBA::RTORB::destroy_mutex | ( | RTCORBA::Mutex_ptr the_mutex | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

| Implemented in TAO_RT_ORB.

virtual void RTCORBA::RTORB::destroy_threadpool | ( | RTCORBA::ThreadpoolId threadpool | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , RTCORBA::RTORB::InvalidThreadpool )`[pure virtual]`

| Implemented in TAO_RT_ORB.

CORBA::Boolean RTCORBA::RTORB::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

| Reimplemented from CORBA::Object.

virtual ::RTCORBA::Mutex_ptr RTCORBA::RTORB::open_named_mutex | ( | const char *name | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , RTCORBA::RTORB::MutexNotFound )`[pure virtual]`

| Implemented in TAO_RT_ORB.

void RTCORBA::RTORB::operator= | ( | const RTORB & |  | ) | `[private]`

## Member Data Documentation

CORBA::TypeCode_ptr RTCORBA::RTORB::_tc_InvalidThreadpool

| Initial value:
      &_tc_TAO_tc_RTCORBA_RTORB_InvalidThreadpool

CORBA::TypeCode_ptr RTCORBA::RTORB::_tc_MutexNotFound

| Initial value:
      &_tc_TAO_tc_RTCORBA_RTORB_MutexNotFound

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp